@charset "utf-8";
/* CSS Document */

.hm_news_sec {
  .container {
    /* background: olivedrab; */
    /* overflow-x: hidden; */

    .header-tag {
      text-transform: uppercase;
      text-align: center;
    }

    .heading-40 {
      text-align: center;
      margin-bottom: 30px;
    }
  }
}

.blognews_slider:not(.slick-initialized) {
  display: flex;
}

.blognews_slider:not(.slick-initialized) a.blogbx {
  margin: 0 25px;
  width: calc(33.33% - 50px);
}

.blognews_slider:not(.slick-initialized) a.blogbx:not(:nth-child(-n+3)) {
  display: none;
}

.blognews_slider.slick-initialized {
  /* background: green; */
}

.blognews_slider.slick-initialized .slick-slide {
  margin: 0 20px;
}

.blognews_slider {
  width: calc(100% + 40px);
  margin: 0 -20px;

  a.blogbx {
    border-radius: 0;
    overflow: hidden;

    &:hover {

      & img {
        transform: scale(1.05);
        transition: all ease-out 0.3s !important;
        -webkit-transition: all ease-out 0.3s !important;
        -moz-transition: all ease-out 0.3s !important;
        -ms-transition: all ease-out 0.3s !important;
      }

      & span.readmore {
        color: var(--theme);
        text-decoration: underline;

        & i {
          color: var(--theme);
        }
      }
    }
  }

  & figure {
    overflow: hidden;
    border-radius: 20px;

    & img {
      transform: scale(1);
      transition: all ease-out 0.3s !important;
      -webkit-transition: all ease-out 0.3s !important;
      -moz-transition: all ease-out 0.3s !important;
      -ms-transition: all ease-out 0.3s !important;
    }
  }

  .bloginfobx {
    display: flex;
    flex-wrap: wrap;
    padding: 20px 25px 35px 0;
    position: relative;

    .blogname {
      font-size: 20px;
      font-weight: 700;
      margin: 10px 0 8px 0;
      line-height: 1.2;
      height: 26px;
      -webkit-line-clamp: 1;
      overflow: hidden;
      position: relative;
      display: -webkit-box;
      -webkit-box-orient: vertical;
    }

    & p {
      font-size: 16px;
      font-weight: 400;
      color: var(--darkgrey);
      line-height: 1.6;
      margin: 0;
      height: 76px;
      -webkit-line-clamp: 3;
      overflow: hidden;
      position: relative;
      display: -webkit-box;
      -webkit-box-orient: vertical;
    }

    & span.readmore {
      font-size: 14px;
      font-weight: 700;
      margin-top: 15px;
      color: var(--dark-theme);
      text-transform: uppercase;

      & i {
        font-size: 20px;
        margin: 0 0 0 5px;
        font-weight: 700;
        position: relative;
        top: 1px;
      }
    }
  }
}


.dateinfo {
  background: var(--dark-theme);
  font-size: 14px;
  font-weight: 700;
  color: var(--white);
  padding: 11px 18px;
  border-radius: 6px;
  width: auto;
  display: inline-block;
  margin: 0;
  top: -76px;
  position: absolute;
  left: 30px;
}

.blognews_slider.slick-slider .slick-prev {
  top: inherit !important;
  bottom: -55px;
  left: 20px;
}

.blognews_slider.slick-slider .slick-next {
  top: inherit !important;
  bottom: -55px;
  right: inherit !important;
  left: 80px;
}

/* blog listing page styles  */
main.bloglist-page {
  .blognews_slider:not(.slick-initialized) {
    display: flex;
    flex-wrap: wrap;
    row-gap: 50px;
  }

  .blognews_slider:not(.slick-initialized) a.blogbx {
    display: block;
  }
}


main.news-page {
  .blognews_slider:not(.slick-initialized) {
    flex-wrap: wrap;
  }

  .blognews_slider:not(.slick-initialized) a.blogbx:not(:nth-child(-n+3)) {
    display: block;
  }
}

.newsdetail_container {
  .container {
    max-width: 1200px;
    margin-bottom: 100px;

    .newsdtlherodiv {
      position: relative;
      border-radius: 20px;
      overflow: hidden;
      margin-bottom: 30px;

      .dateinfo {
        top: inherit;
        bottom: 30px;
      }
    }
  }
}

& ol {
  counter-reset: custom;
  list-style-type: none;
  margin: 0;

  & li {
    counter-increment: custom;
    position: relative;
    list-style-type: none;
    padding-left: 60px;
    margin-bottom: 30px;
    display: flex;
    align-items: center;
    min-height: 46px;

    &:before {
      content: counters(custom, ".") " ";
      width: 46px;
      height: 46px;
      font-size: 18px;
      font-weight: 600;
      margin-right: 15px;
      background: var(--dark-theme);
      color: #fff;
      border-radius: 50%;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 0;
      left: 0;
      padding-bottom: 0px;
    }
  }
}


/* ********* START MEDIA QUERY *********  */

@media (max-width: 1599.99px) {}

@media (max-width: 1439.99px) {}

@media (max-width: 1199.99px) {

  .blognews_slider:not(.slick-initialized) a.blogbx {
    margin: 0 5px;
    width: calc(33.33% - 10px);
  }

  .dateinfo {
    top: -60px;
    left: 15px;
  }

}

@media (max-width: 991.99px) {

  .blognews_slider:not(.slick-initialized) a.blogbx {
    margin: 0 5px;
    width: calc(50% - 10px);
  }

  main.news-detail-page {
    & ol {
      & li {
        padding-left: 40px;

        &:before {
          content: counters(custom, ".") " ";
          width: 24px;
          height: 24px;
          font-size: 14px;
        }
      }
    }
  }

}

@media (max-width: 768px) {
  main.news-page {
    .blognews_slider:not(.slick-initialized) {
      flex-wrap: wrap;
      width: 90%;
      margin: 0 auto;
    }
  }

  .hm_news_sec {
    .container {
      overflow-x: visible;
      height: auto;
      /* padding-bottom: 10px;*/
    }
  }
}

@media (max-width: 575.99px) {

  .blognews_slider.slick-initialized .slick-slide {
    margin: 0 10px;
  }

  .blognews_slider:not(.slick-initialized) a.blogbx {
    margin: 0;
    width: 100%;
  }

  .dateinfo {
    top: -50px;
    left: 15px;
    padding: 3px 13px;
    font-size: 12px;
  }

  main.news-detail-page {
    & ol {
      & li {
        padding-left: 40px;
        margin-bottom: 8px;
      }
    }
  }

  .newsdetail_container {
    .container {
      margin-bottom: 30px;
    }
  }


  .blognews_slider {
    .bloginfobx {
      /* padding: 20px 25px 10px 0; */
    }
  }

}